Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ParseMarkdown

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FormattedText>
it.tdlight.jni.TdApi.ParseMarkdown

Enclosing class:
  TdApi

public static final class TdApi.ParseMarkdown extends TdApi.Function<TdApi.FormattedText>
Parses Markdown entities in a human-friendly format, ignoring markup errors. Can be called synchronously.

Returns `FormattedText`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.FormattedText`
`text`
The text to parse.

## Constructor Summary

Constructors
Constructor
Description
`ParseMarkdown()`
Parses Markdown entities in a human-friendly format, ignoring markup errors.
`ParseMarkdown(TdApi.FormattedText text)`
Parses Markdown entities in a human-friendly format, ignoring markup errors.
`ParseMarkdown(DataInput input)`
Parses Markdown entities in a human-friendly format, ignoring markup errors.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.FormattedText text
The text to parse. For example, "__italic__ ~~strikethrough~~ ||spoiler|| **bold** `code` ```pre``` __[italic__ textUrl](telegram.org) _Italic**bold italic_Bold**".

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ParseMarkdown

public ParseMarkdown()
Parses Markdown entities in a human-friendly format, ignoring markup errors. Can be called synchronously.

Returns `FormattedText`

### ParseMarkdown

public ParseMarkdown(TdApi.FormattedText text)
Parses Markdown entities in a human-friendly format, ignoring markup errors. Can be called synchronously.

Returns `FormattedText`

Parameters:
  `text` - The text to parse. For example, "__italic__ ~~strikethrough~~ ||spoiler|| **bold** `code` ```pre``` __[italic__ textUrl](telegram.org) _Italic**bold italic_Bold**".

  Returns `FormattedText`

### ParseMarkdown

public ParseMarkdown(DataInput input) throws IOException
Parses Markdown entities in a human-friendly format, ignoring markup errors. Can be called synchronously.

Returns `FormattedText`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`